%global cmake_build_dir build-cmake

Name:           virt-sandbox-runner
Version:        0.13.8
Release:        1%{?dist}
Summary:        Qt wrapper for virt-sandbox utility.
Group:          Applications/System
License:        GPLv2+
Source0:        https://github.com/F1ash/%{name}/archive/%{version}.tar.gz 
URL:            https://github.com/F1ash/%{name}

Requires:       libvirt-sandbox
Requires:       sandbox-runner-data
Requires:       polkit-qt
# for xdg-utils-terminal
Requires:       xdg-utils
BuildRequires:  qt4-devel
BuildRequires:  polkit-qt-devel
BuildRequires:  libselinux-devel
BuildRequires:  libvirt-devel
# for kernel release
BuildRequires:  glibc-headers
BuildRequires:  desktop-file-utils
BuildRequires:  cmake

%description
Qt wrapper for virt-sandbox utility.
This application runs and controls the configured jobs,
running in a virt-sandbox. Job settings are saved
in the application's configuration.
This application has Virtual Network Control.

%prep
%setup -q
mkdir %{cmake_build_dir}

%build
pushd %{cmake_build_dir}
      %cmake ..
      make %{?_smp_mflags}
popd

%install
pushd %{cmake_build_dir}
      %make_install
popd

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc README.md COPYING Changelog
%{_bindir}/%{name}
%{_libexecdir}/virt_sandbox_run_helper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/system-services/pro.russianfedora.virtsandboxrunner.service
%{_datadir}/polkit-1/actions/pro.russianfedora.virtsandboxrunner.policy
%{_sysconfdir}/dbus-1/system.d/pro.russianfedora.virtsandboxrunner.conf

%changelog
* Fri Jan 31 2014 Fl@sh <kaperang07@gmail.com> - 0.13.8-1
- clear %%changelog
- version updated;
